<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog" xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <changeSet author="melnik (generated)" id="1543944188994-1-initial-schema">
        <createTable tableName="mtr_auth">
            <column name="name" type="VARCHAR(50)">
                <constraints nullable="false"/>
            </column>
        </createTable>

        <createTable tableName="mtr_user">
            <column name="username" type="VARCHAR(255)">
                <constraints nullable="false"/>
            </column>
            <column name="password" type="VARCHAR(255)"/>
        </createTable>
        <createTable tableName="mtr_user_auth">
            <column name="user_name" type="VARCHAR(255)">
                <constraints nullable="false"/>
            </column>
            <column name="auth_name" type="VARCHAR(50)">
                <constraints nullable="false"/>
            </column>
        </createTable>

        <addPrimaryKey columnNames="user_name, auth_name" tableName="mtr_user_auth"/>
        <addPrimaryKey columnNames="name" constraintName="mtr_authPK" tableName="mtr_auth"/>
        <addPrimaryKey columnNames="username" constraintName="mtr_userPK" tableName="mtr_user"/>
        <addForeignKeyConstraint baseColumnNames="user_name" baseTableName="mtr_user_auth" constraintName="FK7euvrl46d5sp96rhe6kb0qr5s" deferrable="false" initiallyDeferred="false" referencedColumnNames="username" referencedTableName="mtr_user"/>
        <addForeignKeyConstraint baseColumnNames="auth_name" baseTableName="mtr_user_auth" constraintName="FKsja69ybeskx172buex6eiaefj" deferrable="false" initiallyDeferred="false" referencedColumnNames="name" referencedTableName="mtr_auth"/>

        <loadData encoding="UTF-8"
                  file="config/liquibase/authorities.csv"
                  separator=";"
                  tableName="mtr_auth"/>
    </changeSet>
</databaseChangeLog>
